Bug 824447 - qwt-devel - QtDesigner plugin doesn't link to the proper header directory path
qwt-devel - QtDesigner plugin doesn't link to the proper header directory path
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qwt (Show other bugs)
18
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 09:34 EDT by Diego Herrera
Modified: 2013-11-19 16:47 EST (History)
2 users (show)

See Also:
Fixed In Version: qgis-2.0.1-6.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-19 16:47:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to resolve the issue (2.92 KB, patch)
2013-08-20 09:01 EDT, Markus Mayer
no flags Details | Diff

  None (edit)
Description Diego Herrera 2012-05-23 09:34:02 EDT
Description of problem:
When handling any qwt element on QtDesigner, the header path of the element is set as in the path of the project and not the proper include path.

Version-Release number of selected component (if applicable):
qwt-devel-5.2.2-2.fc17

How reproducible:
easy

Steps to Reproduce:
1. Install QtCreator package and qwt-devel library
2. Create a Qt GUI Application and add a qwt component to the main window using the QtDesigner.
3. Include the qwt library
4. Try to compile
  
Actual results:
Compilation fails with the current message
qwt_plot.h: No such file or directory

Expected results:
Should compile without problems

Additional info:
This can be manually fixed on any project by adding the folowing line to the .pro project

INCLUDEPATH += /usr/include/qwt

or modifying the .ui file, changing the section:

"<customwidgets>
  <customwidget>
   <class>QwtPlot</class>
   <extends>QFrame</extends>
   <header>qwt_plot.h</header>
  </customwidget>
 </customwidgets>"

to

"<customwidgets>
  <customwidget>
   <class>QwtPlot</class>
   <extends>QFrame</extends>
   <header location="global">qwt/qwt_plot.h</header>
  </customwidget>
 </customwidgets>"
Comment 1 Markus Mayer 2013-04-02 09:54:30 EDT
This issue still exists with qwt-devel-6.0.1-1.fc18.

The problem is, that the include and lib path inside "/usr/lib64/qt4/mkspecs/features/qwtconfig.pri" are pointing to /usr/local/qwt-6.0.1/{include,lib}.

During building/installing these paths are modified to point to the correct place, by 'CONFIG+=install-qt' (inside the SPEC) and qwt-6.0.1-install_qt.patch.

When adding 'CONFIG+=install-qt' to my project file everything works fine.

I suggest remove the 'CONFIG+=install-qt' option and make the changes inside the patch permanent (independent from the presents of 'CONFIG+=install-qt')
Comment 2 Markus Mayer 2013-08-20 04:53:03 EDT
I am still suffering from this problem, but I don't see any response of an qwt maintainer.

I'm willing to provide a patch, iff there's a maintainer willing to cooperate with me.
Comment 3 Rex Dieter 2013-08-20 07:20:29 EDT
yes, (preferably upstreamable) patches are definitely welcome.
Comment 4 Markus Mayer 2013-08-20 09:01:32 EDT
Created attachment 788483 [details]
Patch to resolve the issue

824447.patch is a patch against current qwt master (fedora packages git). It resolves the above mentioned issue for me.


BTW: I just saw that qwt 6.1.0 is out (Just for your information)
Comment 5 Markus Mayer 2013-10-28 15:47:36 EDT
Hey Rex,

are there any news about this issue?
Comment 6 Rex Dieter 2013-10-29 09:37:52 EDT
Sorry I must've missed the notice about the patch you attached.

Unfortunately, that's not upstreamable, all it does is hard-code path replacements.
Comment 7 Rex Dieter 2013-10-29 09:48:19 EDT
that said, I guess it is better than the status quo, I'll try to spend some more time this week to resolve it.
Comment 8 Fedora Update System 2013-10-29 12:42:11 EDT
qwt-6.1.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qwt-6.1.0-1.fc20
Comment 9 Fedora Update System 2013-10-29 12:42:51 EDT
qwt-6.1.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qwt-6.1.0-1.fc19
Comment 10 Fedora Update System 2013-10-29 12:43:26 EDT
qwt-6.1.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qwt-6.1.0-1.fc18
Comment 11 Rex Dieter 2013-10-29 13:37:39 EDT
Inspecting closer, seems qwt-6.1.0 changes api a bit, trying to figure out if it's still worth pushing that to f18/f19, or backporting the fix to qwt-6.0.x packaging.
Comment 12 Diego Herrera 2013-10-29 14:47:01 EDT
qwt 6.1.0 breaks compatibility with qwt-polar
Comment 13 Rex Dieter 2013-10-29 14:52:05 EDT
Yeah, that's what I figured out. :(  

Backporting it is...
Comment 14 Fedora Update System 2013-10-29 15:09:54 EDT
qwt-6.0.1-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qwt-6.0.1-5.fc18
Comment 15 Fedora Update System 2013-10-29 15:10:30 EDT
qwt-6.0.1-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qwt-6.0.1-5.fc19
Comment 16 Fedora Update System 2013-10-30 13:11:52 EDT
Package qwt-6.1.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qwt-6.1.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20325/qwt-6.1.0-1.fc20
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2013-11-08 22:33:30 EST
qwt-6.0.1-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-11-08 22:34:54 EST
qwt-6.0.1-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-11-10 21:31:57 EST
Package qgis-2.0.1-6.fc20, qwtpolar-1.1.0-0.2.rc1.fc20, qwt-6.1.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qgis-2.0.1-6.fc20 qwtpolar-1.1.0-0.2.rc1.fc20 qwt-6.1.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20325/qgis-2.0.1-6.fc20,qwtpolar-1.1.0-0.2.rc1.fc20,qwt-6.1.0-1.fc20
then log in and leave karma (feedback).
Comment 20 Fedora Update System 2013-11-19 16:47:49 EST
qgis-2.0.1-6.fc20, qwtpolar-1.1.0-0.2.rc1.fc20, qwt-6.1.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.